Point2D.Double (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: java.awt.geom, class: Point2D, class: Double
Keywords: java.awt.geom.Point2D.Double class

# Class Point2D.Double

java.lang.Object
java.awt.geom.Point2D
java.awt.geom.Point2D.Double

All Implemented Interfaces:
  `Serializable, Cloneable`

Enclosing class:
  `Point2D`

public static class Point2D.Double extends Point2D implements Serializable
The `Double` class defines a point specified in `double` precision.

Since:
  1.2
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Point2D

  `Point2D.Double, Point2D.Float`
  Modifier and Type
  Class
  Description
  `static class`
  `Point2D.Double`
  The `Double` class defines a point specified in `double` precision.
  `static class`
  `Point2D.Float`
  The `Float` class defines a point specified in float precision.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `double`
  `x`
  The X coordinate of this `Point2D`.
  `double`
  `y`
  The Y coordinate of this `Point2D`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Double()`
  Constructs and initializes a `Point2D` with coordinates (0, 0).
  `Double(double x, double y)`
  Constructs and initializes a `Point2D` with the specified coordinates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getX()`
  Returns the X coordinate of this `Point2D` in `double` precision.
  `double`
  `getY()`
  Returns the Y coordinate of this `Point2D` in `double` precision.
  `void`
  `setLocation(double x, double y)`
  Sets the location of this `Point2D` to the specified `double` coordinates.
  `String`
  `toString()`
  Returns a `String` that represents the value of this `Point2D`.

  ### Methods declared in class Point2D

  `clone, distance, distance, distance, distanceSq, distanceSq, distanceSq, equals, hashCode, setLocation`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Creates a new object of the same class and with the same contents as this object.
  `double`
  `distance(double px, double py)`
  Returns the distance from this `Point2D` to a specified point.
  `static double`
  `distance(double x1, double y1, double x2, double y2)`
  Returns the distance between two points.
  `double`
  `distance(Point2D pt)`
  Returns the distance from this `Point2D` to a specified `Point2D`.
  `double`
  `distanceSq(double px, double py)`
  Returns the square of the distance from this `Point2D` to a specified point.
  `static double`
  `distanceSq(double x1, double y1, double x2, double y2)`
  Returns the square of the distance between two points.
  `double`
  `distanceSq(Point2D pt)`
  Returns the square of the distance from this `Point2D` to a specified `Point2D`.
  `boolean`
  `equals(Object obj)`
  Determines whether or not two points are equal.
  `int`
  `hashCode()`
  Returns the hashcode for this `Point2D`.
  `void`
  `setLocation(Point2D p)`
  Sets the location of this `Point2D` to the same coordinates as the specified `Point2D` object.

  ### Methods declared in class Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### x

    public double x
    The X coordinate of this `Point2D`.
    Since:
      1.2

  - ### y

    public double y
    The Y coordinate of this `Point2D`.
    Since:
      1.2

- ## Constructor Details

  - ### Double

    public Double()
    Constructs and initializes a `Point2D` with coordinates (0, 0).
    Since:
      1.2

  - ### Double

    public Double(double x, double y)
    Constructs and initializes a `Point2D` with the specified coordinates.
    Parameters:
      `x` - the X coordinate of the newly constructed `Point2D`
      `y` - the Y coordinate of the newly constructed `Point2D`
    Since:
      1.2

- ## Method Details

  - ### getX

    public double getX()
    Returns the X coordinate of this `Point2D` in `double` precision.
    Specified by:
      `getX` in class `Point2D`
    Returns:
      the X coordinate of this `Point2D`.
    Since:
      1.2

  - ### getY

    public double getY()
    Returns the Y coordinate of this `Point2D` in `double` precision.
    Specified by:
      `getY` in class `Point2D`
    Returns:
      the Y coordinate of this `Point2D`.
    Since:
      1.2

  - ### setLocation

    public void setLocation(double x, double y)
    Sets the location of this `Point2D` to the specified `double` coordinates.
    Specified by:
      `setLocation` in class `Point2D`
    Parameters:
      `x` - the new X coordinate of this `Point2D`
      `y` - the new Y coordinate of this `Point2D`
    Since:
      1.2

  - ### toString

    public String toString()
    Returns a `String` that represents the value of this `Point2D`.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this `Point2D`.
    Since:
      1.2